import{s as _e,n as ve,o as ye}from"../chunks/scheduler.8c3d61f6.js";import{S as ze,i as Ne,g as i,s as r,r as l,A as xe,h as s,f as o,c as a,j as I,u as f,x as M,k as V,y as m,a as n,v as u,d as g,t as p,w as c}from"../chunks/index.589a98e8.js";import{D as ie}from"../chunks/Docstring.c1070b88.js";import{H as j,E as Ae}from"../chunks/EditOnGithub.e5a8d9cb.js";function Le(ue){let $,k,q,F,v,R,y,ge="Customized normalization layers for supporting various models in 🤗 Diffusers.",U,z,B,b,N,se,P,pe="Norm layer modified to incorporate timestep embeddings.",J,x,K,h,A,de,S,ce="Norm layer adaptive layer norm zero (adaLN-Zero).",Q,L,W,d,w,me,D,$e="Norm layer adaptive layer norm single (adaLN-single).",le,E,be='As proposed in PixArt-Alpha (see: <a href="https://arxiv.org/abs/2310.00426" rel="nofollow">https://arxiv.org/abs/2310.00426</a>; Section 2.3).',X,T,Y,_,C,fe,Z,he="GroupNorm layer modified to incorporate timestep embeddings.",ee,G,te,O,oe;return v=new j({props:{title:"Normalization layers",local:"normalization-layers",headingTag:"h1"}}),z=new j({props:{title:"AdaLayerNorm",local:"diffusers.models.normalization.AdaLayerNorm",headingTag:"h2"}}),N=new ie({props:{name:"class diffusers.models.normalization.AdaLayerNorm",anchor:"diffusers.models.normalization.AdaLayerNorm",parameters:[{name:"embedding_dim",val:": int"},{name:"num_embeddings",val:": int"}],parametersDescription:[{anchor:"diffusers.models.normalization.AdaLayerNorm.embedding_dim",description:"<strong>embedding_dim</strong> (<code>int</code>) &#x2014; The size of each embedding vector.",name:"embedding_dim"},{anchor:"diffusers.models.normalization.AdaLayerNorm.num_embeddings",description:"<strong>num_embeddings</strong> (<code>int</code>) &#x2014; The size of the embeddings dictionary.",name:"num_embeddings"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.2/src/diffusers/models/normalization.py#L28"}}),x=new j({props:{title:"AdaLayerNormZero",local:"diffusers.models.normalization.AdaLayerNormZero",headingTag:"h2"}}),A=new ie({props:{name:"class diffusers.models.normalization.AdaLayerNormZero",anchor:"diffusers.models.normalization.AdaLayerNormZero",parameters:[{name:"embedding_dim",val:": int"},{name:"num_embeddings",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.models.normalization.AdaLayerNormZero.embedding_dim",description:"<strong>embedding_dim</strong> (<code>int</code>) &#x2014; The size of each embedding vector.",name:"embedding_dim"},{anchor:"diffusers.models.normalization.AdaLayerNormZero.num_embeddings",description:"<strong>num_embeddings</strong> (<code>int</code>) &#x2014; The size of the embeddings dictionary.",name:"num_embeddings"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.2/src/diffusers/models/normalization.py#L51"}}),L=new j({props:{title:"AdaLayerNormSingle",local:"diffusers.models.normalization.AdaLayerNormSingle",headingTag:"h2"}}),w=new ie({props:{name:"class diffusers.models.normalization.AdaLayerNormSingle",anchor:"diffusers.models.normalization.AdaLayerNormSingle",parameters:[{name:"embedding_dim",val:": int"},{name:"use_additional_conditions",val:": bool = False"}],parametersDescription:[{anchor:"diffusers.models.normalization.AdaLayerNormSingle.embedding_dim",description:"<strong>embedding_dim</strong> (<code>int</code>) &#x2014; The size of each embedding vector.",name:"embedding_dim"},{anchor:"diffusers.models.normalization.AdaLayerNormSingle.use_additional_conditions",description:"<strong>use_additional_conditions</strong> (<code>bool</code>) &#x2014; To use additional conditions for normalization or not.",name:"use_additional_conditions"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.2/src/diffusers/models/normalization.py#L87"}}),T=new j({props:{title:"AdaGroupNorm",local:"diffusers.models.normalization.AdaGroupNorm",headingTag:"h2"}}),C=new ie({props:{name:"class diffusers.models.normalization.AdaGroupNorm",anchor:"diffusers.models.normalization.AdaGroupNorm",parameters:[{name:"embedding_dim",val:": int"},{name:"out_dim",val:": int"},{name:"num_groups",val:": int"},{name:"act_fn",val:": Optional = None"},{name:"eps",val:": float = 1e-05"}],parametersDescription:[{anchor:"diffusers.models.normalization.AdaGroupNorm.embedding_dim",description:"<strong>embedding_dim</strong> (<code>int</code>) &#x2014; The size of each embedding vector.",name:"embedding_dim"},{anchor:"diffusers.models.normalization.AdaGroupNorm.num_embeddings",description:"<strong>num_embeddings</strong> (<code>int</code>) &#x2014; The size of the embeddings dictionary.",name:"num_embeddings"},{anchor:"diffusers.models.normalization.AdaGroupNorm.num_groups",description:"<strong>num_groups</strong> (<code>int</code>) &#x2014; The number of groups to separate the channels into.",name:"num_groups"},{anchor:"diffusers.models.normalization.AdaGroupNorm.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014; The activation function to use.",name:"act_fn"},{anchor:"diffusers.models.normalization.AdaGroupNorm.eps",description:"<strong>eps</strong> (<code>float</code>, <em>optional</em>, defaults to <code>1e-5</code>) &#x2014; The epsilon value to use for numerical stability.",name:"eps"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.2/src/diffusers/models/normalization.py#L120"}}),G=new Ae({props:{source:"https://github.com/huggingface/diffusers/blob/main/docs/source/en/api/normalization.md"}}),{c(){$=i("meta"),k=r(),q=i("p"),F=r(),l(v.$$.fragment),R=r(),y=i("p"),y.textContent=ge,U=r(),l(z.$$.fragment),B=r(),b=i("div"),l(N.$$.fragment),se=r(),P=i("p"),P.textContent=pe,J=r(),l(x.$$.fragment),K=r(),h=i("div"),l(A.$$.fragment),de=r(),S=i("p"),S.textContent=ce,Q=r(),l(L.$$.fragment),W=r(),d=i("div"),l(w.$$.fragment),me=r(),D=i("p"),D.textContent=$e,le=r(),E=i("p"),E.innerHTML=be,X=r(),l(T.$$.fragment),Y=r(),_=i("div"),l(C.$$.fragment),fe=r(),Z=i("p"),Z.textContent=he,ee=r(),l(G.$$.fragment),te=r(),O=i("p"),this.h()},l(e){const t=xe("svelte-u9bgzb",document.head);$=s(t,"META",{name:!0,content:!0}),t.forEach(o),k=a(e),q=s(e,"P",{}),I(q).forEach(o),F=a(e),f(v.$$.fragment,e),R=a(e),y=s(e,"P",{"data-svelte-h":!0}),M(y)!=="svelte-i4ltwe"&&(y.textContent=ge),U=a(e),f(z.$$.fragment,e),B=a(e),b=s(e,"DIV",{class:!0});var ne=I(b);f(N.$$.fragment,ne),se=a(ne),P=s(ne,"P",{"data-svelte-h":!0}),M(P)!=="svelte-3m9blw"&&(P.textContent=pe),ne.forEach(o),J=a(e),f(x.$$.fragment,e),K=a(e),h=s(e,"DIV",{class:!0});var re=I(h);f(A.$$.fragment,re),de=a(re),S=s(re,"P",{"data-svelte-h":!0}),M(S)!=="svelte-hxuhdq"&&(S.textContent=ce),re.forEach(o),Q=a(e),f(L.$$.fragment,e),W=a(e),d=s(e,"DIV",{class:!0});var H=I(d);f(w.$$.fragment,H),me=a(H),D=s(H,"P",{"data-svelte-h":!0}),M(D)!=="svelte-b3hofq"&&(D.textContent=$e),le=a(H),E=s(H,"P",{"data-svelte-h":!0}),M(E)!=="svelte-85nsxw"&&(E.innerHTML=be),H.forEach(o),X=a(e),f(T.$$.fragment,e),Y=a(e),_=s(e,"DIV",{class:!0});var ae=I(_);f(C.$$.fragment,ae),fe=a(ae),Z=s(ae,"P",{"data-svelte-h":!0}),M(Z)!=="svelte-gj85yz"&&(Z.textContent=he),ae.forEach(o),ee=a(e),f(G.$$.fragment,e),te=a(e),O=s(e,"P",{}),I(O).forEach(o),this.h()},h(){V($,"name","hf:doc:metadata"),V($,"content",we),V(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),V(h,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),V(d,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),V(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,t){m(document.head,$),n(e,k,t),n(e,q,t),n(e,F,t),u(v,e,t),n(e,R,t),n(e,y,t),n(e,U,t),u(z,e,t),n(e,B,t),n(e,b,t),u(N,b,null),m(b,se),m(b,P),n(e,J,t),u(x,e,t),n(e,K,t),n(e,h,t),u(A,h,null),m(h,de),m(h,S),n(e,Q,t),u(L,e,t),n(e,W,t),n(e,d,t),u(w,d,null),m(d,me),m(d,D),m(d,le),m(d,E),n(e,X,t),u(T,e,t),n(e,Y,t),n(e,_,t),u(C,_,null),m(_,fe),m(_,Z),n(e,ee,t),u(G,e,t),n(e,te,t),n(e,O,t),oe=!0},p:ve,i(e){oe||(g(v.$$.fragment,e),g(z.$$.fragment,e),g(N.$$.fragment,e),g(x.$$.fragment,e),g(A.$$.fragment,e),g(L.$$.fragment,e),g(w.$$.fragment,e),g(T.$$.fragment,e),g(C.$$.fragment,e),g(G.$$.fragment,e),oe=!0)},o(e){p(v.$$.fragment,e),p(z.$$.fragment,e),p(N.$$.fragment,e),p(x.$$.fragment,e),p(A.$$.fragment,e),p(L.$$.fragment,e),p(w.$$.fragment,e),p(T.$$.fragment,e),p(C.$$.fragment,e),p(G.$$.fragment,e),oe=!1},d(e){e&&(o(k),o(q),o(F),o(R),o(y),o(U),o(B),o(b),o(J),o(K),o(h),o(Q),o(W),o(d),o(X),o(Y),o(_),o(ee),o(te),o(O)),o($),c(v,e),c(z,e),c(N),c(x,e),c(A),c(L,e),c(w),c(T,e),c(C),c(G,e)}}}const we='{"title":"Normalization layers","local":"normalization-layers","sections":[{"title":"AdaLayerNorm","local":"diffusers.models.normalization.AdaLayerNorm","sections":[],"depth":2},{"title":"AdaLayerNormZero","local":"diffusers.models.normalization.AdaLayerNormZero","sections":[],"depth":2},{"title":"AdaLayerNormSingle","local":"diffusers.models.normalization.AdaLayerNormSingle","sections":[],"depth":2},{"title":"AdaGroupNorm","local":"diffusers.models.normalization.AdaGroupNorm","sections":[],"depth":2}],"depth":1}';function Te(ue){return ye(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class De extends ze{constructor($){super(),Ne(this,$,Te,Le,_e,{})}}export{De as component};
